#include "mg3frm.h"
USE 109 KEY 2
JOIN 47 TO 109 INTO CODART==CODART
JOIN MAG TO 109 ALIAS 500 INTO CODTAB==CODMAG[1,3]
JOIN MAG TO 109 ALIAS 501 INTO CODTAB==CODMAG
JOIN 49 TO 47 INTO CODART==CODART
END
	
DESCRIPTION
BEGIN
    47->* "Anagrafica articoli"
    109->* "Archivio Giacenze"
    MAG->* "Tabella magazzini"
    49->* "Unit di misura articoli"
END

GENERAL
BEGIN
    OFFSET 0 0
    FONT "Courier New"
    SIZE 8
    CARATTERE "X"
    INIZIALE 5 2
    FINALE 133
END

SECTION HEADER ODD 5

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  120 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  137 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 32
BEGIN
 KEY "Intestazione stampa"
 PROMPT  45 2 "Stampa dati storici giacenze"
END

STRINGA 5 146
BEGIN
  KEY "Separatore (iniziale)"
  PROMPT 1 3 "------------------------------------------------------------------------------------------------------------------------------------------------------"
END

	LIST FF_PREZZIVALORI 1
	BEGIN
	  PROMPT 1 1 ""
		FLAG "H"
	  KEY "H PREZZI O VALORI"
		ITEM "V|Valori"
		MESSAGE DISABLE,FG_RIGAPREZZI@|ENABLE,FG_RIGAVALORI@
		ITEM "P|Prezzi"
		MESSAGE ENABLE,FG_RIGAPREZZI@|DISABLE,FG_RIGAVALORI@
	END

	LIST FF_FLAGGIAC 1
	BEGIN
	  PROMPT 1 1 ""
		FLAG "H"
	  KEY "FLAG GIACENZA"
		ITEM "0|0"
		MESSAGE HIDE,14|DISABLE,BO->247
		ITEM "1|1"
		MESSAGE SHOW,14|ENABLE,BO->247
	END

	LIST FF_FLAGSOTTOS 1
	BEGIN
	  PROMPT 1 1 ""
		FLAG "H"
	  KEY "FLAG SOTTOSCORTA"
		ITEM "0|0"
		MESSAGE HIDE,15|DISABLE,BO->248
		ITEM "1|1"
		MESSAGE SHOW,15|ENABLE,BO->248
	END

	STRINGA 6 20
	BEGIN
	  KEY "H1"
		PROMPT 2 4 "Codice"
	END
	STRINGA 7 40
	BEGIN
	  KEY "H1"
		PROMPT 24 4 "Descrizione"
	END
	STRINGA 7 40
	BEGIN
	  KEY "H1"
		PROMPT 45 4 "UM"
	END
	STRINGA 8 12
	BEGIN
	  KEY "H1"
		PROMPT 55 4 "Giac."
		GROUP FG_RIGAPREZZI
	END
	STRINGA 8 12
	BEGIN
	  KEY "H1"
		PROMPT 55 4 "Acq."
		GROUP FG_RIGAVALORI
	END
	STRINGA 9 12
	BEGIN
	  KEY "H1"
		PROMPT 68 4 "Ult.costo"
		GROUP FG_RIGAPREZZI
	END
	STRINGA 9 12
	BEGIN
	  KEY "H1"
		PROMPT 68 4 "Val.Acq."
		GROUP FG_RIGAVALORI
	END
	STRINGA 10 12
	BEGIN
	  KEY "H1"
		PROMPT 81 4 "Ven."
		GROUP FG_RIGAVALORI
	END
	STRINGA 10 12
	BEGIN
	  KEY "H1"
		PROMPT 81 4 "Prezzo"
		GROUP FG_RIGAPREZZI
	END
	STRINGA 11 12
	BEGIN
	  KEY "H1"
		PROMPT 94 4 "Val.Ven."
		GROUP FG_RIGAVALORI
	END
	STRINGA 12 12
	BEGIN
	  KEY "H1"
		PROMPT 107 4 "Rim."
		GROUP FG_RIGAVALORI
	END
	STRINGA 13 12
	BEGIN
	  KEY "H1"
		PROMPT 120 4 "Val.Rim."
		GROUP FG_RIGAVALORI
	END
	STRINGA 14 12
	BEGIN
	  KEY "H1"
		PROMPT 133 4 "Giac."
		GROUP FG_RIGAVALORI
	END
	STRINGA 15 12
	BEGIN
		KEY "H1"
		PROMPT 131 4 "Scorta-Giac."
		GROUP FG_RIGAVALORI
	END

	STRINGA 17 146
	BEGIN
	  KEY "Separatore (iniziale)"
	  PROMPT 1 5 "------------------------------------------------------------------------------------------------------------------------------------------------------"
	END


END

SECTION BODY ODD 0 COLUMNWISE

	LIST FF_PREZZIVALORI 1
	BEGIN
	  PROMPT 1 1 ""
		FLAG "H"
	  KEY "H PREZZI O VALORI"
		ITEM "V|Valori"
		MESSAGE DISABLE,FG_RIGAPREZZI@|ENABLE,FG_RIGAVALORI@
		ITEM "P|Prezzi"
		MESSAGE ENABLE,FG_RIGAPREZZI@|DISABLE,FG_RIGAVALORI@
	END

	NUMBER FF_FLAGTOTQTA 1
	BEGIN
		FLAG "H"
		PROMPT 1 1 ""
	END 

	LIST FF_FLAGVALMEDI 1
	BEGIN
	  PROMPT 1 1 ""
		FLAG "H"
	  KEY "FLAG VALORI MEDI"
		ITEM "0|N"
		MESSAGE SHOW,25@|DISABLE,26@
		ITEM "1|Y"
		MESSAGE HIDE,25@|ENABLE,26@
	END


	STRINGA 60 40 1
	BEGIN
		FLAGS "H"
	  KEY "MAGAZZ" 
	  PROMPT 2 1 ""
		MESSAGE RESET,1@
	END							
	SECTION H_MAGAZZINO 1 1 1 GROUP
		STRINGA 60 40 1
		BEGIN
		  KEY "codice magazzino" 
		  PROMPT 2 1 "Magazzino "
		  FIELD 500@->s0
			MESSAGE COPY,150
		END
	END 
	
	SECTION GRUPPI_MAGAZZINO 1 0 0 FILE 109 GROUP CODMAG[1,3]
		STRINGA 60 40 1
		BEGIN
			FLAGS "H"
		  KEY "dep" 
		  PROMPT 2 1 ""
			MESSAGE RESET,15@
		END
		SECTION H_DEPOSITO 1 1 1 GROUP
			STRINGA 60 40 1
			BEGIN
			  KEY "codice magazzino" 
			  PROMPT 2 1 "Deposito "
			  FIELD 501@->s0
				MESSAGE COPY,50
			END
		END

		SECTION GRUPPI_DEPOSITO 1 0 0 FILE 109 GROUP CODMAG[1,5]
			STRINGA 60 40 1
			BEGIN
				FLAGS "H"
			  KEY "gcodart1" 
			  PROMPT 2 1 ""
				MESSAGE RESET,14@
			END
			SECTION H_GCODART1 1 1 1 GROUP 
				STRINGA 16 12 2 
				BEGIN
					KEY "CODICE GRUPPO1"
					PROMPT 2 1 ""
					MESSAGE _USER,CODGRUPPOART,1
				END
				STRINGA 17 30 2 
				BEGIN
				 KEY "CODICE GRUPPO1"
				 PROMPT 3 1 ""
				 MESSAGE _USER,GRUPPOART,1|COPY,1450
				END
			END
					
			SECTION GRUPPI_CODART1 1 0 0 FILE 109 GROUP CODART
				STRINGA 60 40 1
				BEGIN
					FLAGS "H"
				  KEY "" 
				  PROMPT 2 1 ""
					MESSAGE RESET,13@
				END
				SECTION H_GCODART2 1 1 1 GROUP 
					STRINGA 16 12 2 
					BEGIN
						KEY "CODICE GRUPPO"
						PROMPT 2 1 ""
						MESSAGE _USER,CODGRUPPOART,2
					END
					STRINGA 17 30 2 
					BEGIN
					 KEY "CODICE GRUPPO"
					 PROMPT 3 1 ""
					 MESSAGE _USER,GRUPPOART,2|COPY,1350
					END
				END
					
				SECTION GRUPPI_CODART2 1 0 0 FILE 109 GROUP CODART
					STRINGA 60 40 1
					BEGIN
						FLAGS "H"
					  KEY "CATMER" 
					  PROMPT 2 1 ""
						MESSAGE RESET,12@
					END
					SECTION H_GCODART3 1 1 1 GROUP 
						STRINGA 16 12 2 
						BEGIN
							KEY "CODICE GRUPPO"
							PROMPT 2 1 ""
							MESSAGE _USER,CODGRUPPOART,3
						END
						STRINGA 17 30 2 
						BEGIN
						 KEY "CODICE GRUPPO"
						 PROMPT 3 1 ""
						 MESSAGE _USER,GRUPPOART,3|COPY,1250
						END
					END
					
					SECTION GRUPPI_CODART3 1 0 0 FILE 109 GROUP CODART
						STRINGA 60 40 1
						BEGIN
							FLAGS "H"
						  KEY "CATMER" 
						  PROMPT 2 1 ""
							MESSAGE RESET,11@
						END					
						SECTION H_GCODART4 1 1 1 GROUP 
							STRINGA 16 12 2 
							BEGIN
								KEY "CODICE GRUPPO"
								PROMPT 2 1 ""
								MESSAGE _USER,CODGRUPPOART,4
							END
							STRINGA 17 30 2 
							BEGIN
							 KEY "CODICE GRUPPO"
							 PROMPT 3 1 ""
							 MESSAGE _USER,GRUPPOART,4|COPY,1150
							END
						END
					
						SECTION GRUPPI_CODART4 1 0 0 FILE 109 GROUP CODART
							STRINGA 60 40 1
							BEGIN
								FLAGS "H"
							  KEY "CATMER" 
							  PROMPT 2 1 ""
								MESSAGE RESET,10@
							END
							SECTION H_GCODART5 1 1 1 GROUP 
								STRINGA 16 12 2 
								BEGIN
									KEY "CODICE GRUPPO"
									PROMPT 2 1 ""
									MESSAGE _USER,CODGRUPPOART,5
								END
								STRINGA 17 30 2 
								BEGIN
								 KEY "CODICE GRUPPO"
								 PROMPT 3 1 ""
								 MESSAGE _USER,GRUPPOART,5|COPY,1050
								END
							END
					
							SECTION GRUPPI_CODART5 1 0 0 FILE 109 GROUP CODART
								STRINGA 60 40 1
								BEGIN
									FLAGS "H"
								  KEY "CATMER" 
								  PROMPT 2 1 ""
									MESSAGE RESET,9@
								END							
								SECTION H_GCODART6 1 1 2 GROUP 
									STRINGA 16 12 2 
									BEGIN
										KEY "CODICE GRUPPO"
										PROMPT 2 1 ""
										MESSAGE _USER,CODGRUPPOART,6
									END
									STRINGA 17 30 2 
									BEGIN
									 KEY "CODICE GRUPPO"
									 PROMPT 3 1 ""
									 MESSAGE _USER,GRUPPOART,6|COPY,950
									END
								END
					
								SECTION GRUPPI_CODART6 1 0 0 FILE 109 GROUP CODART
									STRINGA 60 40 1
									BEGIN
										FLAGS "H"
									  KEY "CATMER" 
									  PROMPT 2 1 ""
										MESSAGE RESET,8@
									END							
									SECTION H_GCODART7 1 1 1 GROUP 
										STRINGA 16 12 2 
										BEGIN
											KEY "CODICE GRUPPO"
											PROMPT 2 1 ""
											MESSAGE _USER,CODGRUPPOART,7
										END
										STRINGA 17 30 2 
										BEGIN
										 KEY "CODICE GRUPPO"
										 PROMPT 3 1 ""
										 MESSAGE _USER,GRUPPOART,7|COPY,850
										END
									END
					
									SECTION GRUPPI_CODART7 1 0 0 FILE 109 GROUP CODART
										STRINGA 60 40 1
										BEGIN
											FLAGS "H"
										  KEY "CATMER" 
										  PROMPT 2 1 ""
											MESSAGE RESET,7@
										END							
					
										SECTION H_GCODART8 1 1 1 GROUP 
											STRINGA 16 12 2 
											BEGIN
												KEY "CODICE GRUPPO"
												PROMPT 2 1 ""
												MESSAGE _USER,CODGRUPPOART,8
											END
											STRINGA 17 30 2 
											BEGIN
											 KEY "CODICE GRUPPO"
											 PROMPT 3 1 ""
											 MESSAGE _USER,GRUPPOART,8|COPY,750
											END
										END
					
										SECTION GRUPPI_CODART8 1 0 0 FILE 109 GROUP CODART
											STRINGA 60 40 1
											BEGIN
												FLAGS "H"
											  KEY "CATMER" 
											  PROMPT 2 1 ""
												MESSAGE RESET,6@
											END							
											SECTION H_ARTICOLO 1 1 1 GROUP
												STRINGA 20 12 2
												BEGIN
													KEY "CODICE articolo"
													PROMPT 2 1 ""
													FIELD CODART
												END
												STRINGA 21 30 2
												BEGIN
													KEY "DESCR.articolo"
													PROMPT 3 1 ""
													FIELD 47->DESCR
													MESSAGE COPY,650
												END
												NUMERO 22 12
												BEGIN
													KEY "ULC"
													FLAGS "H"
													PROMPT 7 2 ""
													FIELD LF_ANAMAG->ULTCOS1
													MESSAGE COPY,648
												END
												NUMERO 23 12
												BEGIN
													KEY "PREZZO"
													FLAGS "H"
													PROMPT 7 2 ""
													MESSAGE _USER,PREZZO|COPY,649
												END
											END										
					
											SECTION ARTICOLO 1 0 0 FILE 109 GROUP CODART
												STRINGA 60 40 1
												BEGIN
													FLAGS "H"
												  KEY "CATMER" 
												  PROMPT 2 1 ""
													MESSAGE RESET,5@
												END							
												SECTION H_GLIVGIAC1 1 1 1 GROUP
													STRINGA 31 50 1
													BEGIN
													  KEY "Livello giac" 
													  PROMPT 2 1 ""
														MESSAGE _USER,GRUPPOGIAC,1|COPY,550
													END
												END										
					
												SECTION GRUPPI_LIVGIAC1 1 0 0 FILE 109 GROUP LIVELLO
													STRINGA 60 40 1
													BEGIN
														FLAGS "H"
													  KEY "CATMER" 
													  PROMPT 2 1 ""
														MESSAGE RESET,4@
													END							
													SECTION H_GLIVGIAC2 1 1 1 GROUP
														STRINGA 31 50 1
														BEGIN
														  KEY "Livello giac" 
														  PROMPT 2 1 ""
															MESSAGE _USER,GRUPPOGIAC,2|COPY,450
														END
													END										
					
													SECTION GRUPPI_LIVGIAC2 1 0 0 FILE 109 GROUP LIVELLO
														STRINGA 60 40 1
														BEGIN
															FLAGS "H"
														  KEY "CATMER" 
														  PROMPT 2 1 ""
															MESSAGE RESET,3@
														END							
					
														SECTION H_GLIVGIAC3 1 1 1 GROUP
															STRINGA 31 50 1
															BEGIN
															  KEY "Livello giac" 
															  PROMPT 2 1 ""
																MESSAGE _USER,GRUPPOGIAC,3|COPY,350
															END
														END										
					
														SECTION GRUPPI_LIVGIAC3 1 0 0 FILE 109 GROUP LIVELLO
															STRINGA 60 40 1
															BEGIN
																FLAGS "H"
															  KEY "CATMER" 
															  PROMPT 2 1 ""
																MESSAGE RESET,2@
															END							
					
															SECTION H_GLIVGIAC4 1 1 1 GROUP
															END // GGIAC4
															SECTION TOT_GLIVGIAC4 1 2 2 GROUP
																STRINGA 250 35 2
																BEGIN
																	PROMPT 3 2 ""
																END
																STRINGA 251 7 2
																BEGIN
																  KEY "Livello giac4" 
																  PROMPT 2 2 " Totale"
																END
																STRINGA 253 3
																BEGIN
																	KEY "UM"
																	PROMPT 5 2 ""
																	FIELD 49->UM
																	MESSAGE COPY,353
																END
																	
																NUMERO 241 12
																BEGIN
																	KEY "ACQ"
																	PROMPT 6 2 ""
																	PICTURE "########,@#"
																	MESSAGE ADD,341
																	FIELD 109->ACQ
																	GROUP 2 FG_RIGAVALORI
																END
																NUMERO 242 12
																BEGIN
																	KEY "VALACQ"
																	PROMPT 7 2 ""
																	PICTURE "###.###.##@"
																	MESSAGE ADD,342
																	FIELD 109->VALACQ
																	GROUP 2 FG_VALORI FG_RIGAVALORI
																END
																NUMERO 282 12
																BEGIN
																	KEY "VALACQ"
																	PROMPT 7 2 ""
																	PICTURE "#######,@##"
																	MESSAGE _NUMEXPR,#242/#241
																	GROUP FG_VALMEDI FG_RIGAVALORI
																END
																	
																NUMERO 243 12
																BEGIN
																	KEY "ven"
																	PROMPT 8 2 ""
																	PICTURE "########,@#"
																	MESSAGE ADD,343
																	FIELD 109->VEN
																	GROUP 2 FG_RIGAVALORI
																END
																NUMERO 244 12
																BEGIN
																	KEY "VALven"
																	PROMPT 9 2 ""
																	PICTURE "###.###.##@"
																	MESSAGE ADD,344
																	GROUP 2 FG_VALORI FG_RIGAVALORI
																	FIELD 109->VALVEN
																END
																NUMERO 284 12
																BEGIN
																	KEY "VALven"
																	PROMPT 9 2 ""
																	PICTURE "#######,@##"
																	MESSAGE _NUMEXPR,#244/#243
																	GROUP FG_VALMEDI
																END
																	
																NUMERO 245 12	
																BEGIN
																	KEY "rim"
																	PROMPT 10 2 ""
																	PICTURE "########,@#"
																	MESSAGE ADD,345
																	FIELD 109->RIM
																	GROUP 2 FG_RIGAVALORI
																END
																NUMERO 246 12
																BEGIN
																	KEY "VALrim"
																	PROMPT 11 2 ""
																	PICTURE "###.###.##@"
																	MESSAGE ADD,346
																	FIELD 109->VALRIM
																	GROUP 2 FG_VALORI FG_RIGAVALORI
																END
																NUMERO 286 12
																BEGIN
																	KEY "VALrim"
																	PROMPT 11 2 ""
																	PICTURE "#######,@##"
																	MESSAGE _NUMEXPR,#246/#245
																	GROUP FG_VALMEDI FG_RIGAVALORI
																END 
																	
																NUMERO 247 12
																BEGIN
																	KEY "giac"
																	PROMPT 12 2 ""
																	PICTURE "########,@#"
																	FIELD 109->GIAC
																	MESSAGE ADD,347
																	GROUP 2 FG_RIGAVALORI
																END
																NUMERO 248 12
																BEGIN
																	KEY "scorta-giac"
																	PROMPT 12 1 ""
																	PICTURE "#######@,@#"
																	MESSAGE _NUMEXPR,109->SCORTAMIN-109->GIAC|ADD,347
																	GROUP 2 FG_RIGAVALORI
																END
																NUMERO 249 12
																BEGIN
																	KEY "giac"
																	PROMPT 6 2 ""
																	PICTURE "########,@#"
																	FIELD 109->GIAC
																	MESSAGE ADD,341
																	GROUP 2 FG_RIGAPREZZI
																END
															END	// tot ggiac4
						
														END // GGIAC3
														SECTION TOT_GLIVGIAC3 1 2 2 GROUP
															STRINGA 377 
															BEGIN
																KEY "giac"
																		PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
															END
															STRINGA 350 35 2
															BEGIN
															  KEY "" 
															  PROMPT 3 2 ""
															END
															STRINGA 351 7 2
															BEGIN
															  KEY "" 
															  PROMPT 2 2 " Totale"
															END
															STRINGA 353 3
															BEGIN
																KEY "UM"
																PROMPT 5 2 ""
																MESSAGE COPY,453
															END
															NUMERO 341 12
															BEGIN
																KEY "ACQ"
																PROMPT 6 2 ""
																PICTURE "########,@#"
																MESSAGE ADD,441
																GROUP 3
															END
															NUMERO 342 12
															BEGIN
																KEY "VALACQ"
																PROMPT 7 2 ""
																PICTURE "###.###.##@"
																MESSAGE ADD,442
																GROUP 3 FG_VALORI
															END
															NUMERO 382 12
															BEGIN
																KEY "VALACQ"
																PROMPT 7 2 ""
																PICTURE "#######,@##"
																MESSAGE _NUMEXPR,#342/#341
																GROUP FG_VALMEDI
															END
																	
															NUMERO 343 12
															BEGIN
																KEY "ven"
																PROMPT 8 2 ""
																PICTURE "########,@#"
																MESSAGE ADD,443
																GROUP 3
															END
															NUMERO 344 12
															BEGIN
																KEY "VALven"
																PROMPT 9 2 ""
																PICTURE "###.###.##@"
																MESSAGE ADD,444
																GROUP 3 FG_VALORI
															END
															NUMERO 384 12
															BEGIN
																KEY "VALven"
																PROMPT 9 2 ""
																PICTURE "#######,@##"
																MESSAGE _NUMEXPR,#344/#343
																GROUP FG_VALMEDI
															END
																	
															NUMERO 345 12
															BEGIN
																KEY "rim"
																PROMPT 10 2 ""
																PICTURE "########,@#"
																MESSAGE ADD,445
																GROUP 3
															END
															NUMERO 346 12
															BEGIN
																KEY "VALrim"
																PROMPT 11 2 ""
																PICTURE "###.###.##@"
																MESSAGE ADD,446
																GROUP 3 FG_VALORI
															END
															NUMERO 386 12
															BEGIN
																KEY "VALrim"
																PROMPT 11 2 ""
																PICTURE "#######,@##"
																MESSAGE _NUMEXPR,#346/#345
																GROUP FG_VALMEDI
															END
																	
															NUMERO 347 12
															BEGIN
																KEY "giac"
																PROMPT 12 2 ""
																PICTURE "########,@#"
																MESSAGE ADD,447
																GROUP 3
															END
														END // tot ggiac3
						
													END // GGIAC2
													SECTION TOT_GLIVGIAC2 1 2 2 GROUP
														STRINGA 477 
														BEGIN
															KEY "giac"
																	PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
														END
														STRINGA 450 35 2
														BEGIN
														  KEY "" 
														  PROMPT 3 2 ""
														END
														STRINGA 451 7 2
														BEGIN
														  KEY "" 
														  PROMPT 2 2 " Totale"
														END
														STRINGA 453 3
														BEGIN
															KEY "UM"
															PROMPT 5 2 ""
															MESSAGE COPY,553
														END
														NUMERO 441 12
														BEGIN
															KEY "ACQ"
															PROMPT 6 2 ""
															PICTURE "########,@#"
															MESSAGE ADD,541
															GROUP 4
														END
														NUMERO 442 12
														BEGIN
															KEY "VALACQ"
															PROMPT 7 2 ""
															PICTURE "###.###.##@"
															MESSAGE ADD,542
															GROUP 4 FG_VALORI
														END
														NUMERO 482 12
														BEGIN
															KEY "VALACQ"
															PROMPT 7 2 ""
															PICTURE "#######,@##"
															MESSAGE _NUMEXPR,#442/#441
															GROUP FG_VALMEDI
														END
																	
														NUMERO 443 12
														BEGIN
															KEY "ven"
															PROMPT 8 2 ""
															PICTURE "########,@#"
															MESSAGE ADD,543
															GROUP 4
														END
														NUMERO 444 12
														BEGIN
															KEY "VALven"
															PROMPT 9 2 ""
															PICTURE "###.###.##@"
															MESSAGE ADD,544
															GROUP 4 FG_VALORI
														END
														NUMERO 484 12
														BEGIN
															KEY "VALven"
															PROMPT 9 2 ""
															PICTURE "#######,@##"
															MESSAGE _NUMEXPR,#444/#443
															GROUP FG_VALMEDI
														END
																	
														NUMERO 445 12
														BEGIN
															KEY "rim"
															PROMPT 10 2 ""
															PICTURE "########,@#"
															MESSAGE ADD,545
															GROUP 4
														END
														NUMERO 446 12
														BEGIN
															KEY "VALrim"
															PROMPT 11 2 ""
															PICTURE "###.###.##@"
															MESSAGE ADD,546
															GROUP 4 FG_VALORI
														END
														NUMERO 486 12
														BEGIN
															KEY "VALrim"
															PROMPT 11 2 ""
															PICTURE "#######,@##"
															MESSAGE _NUMEXPR,#446/#445
															GROUP FG_VALMEDI
														END
																	
														NUMERO 447 12
														BEGIN
															KEY "giac"
															PROMPT 12 2 ""
															PICTURE "########,@#"
															MESSAGE ADD,547
															GROUP 4
														END
													END // tot ggiac2
												END // GGIAC1
												SECTION TOT_GLIVGIAC1 1 2 2 GROUP
													STRINGA 577 
													BEGIN
														KEY "giac"
														PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
													END
													STRINGA 550 35 2
													BEGIN
													  KEY "" 
													  PROMPT 3 2 ""
													END
													STRINGA 551 7 2
													BEGIN
													  KEY "" 
													  PROMPT 2 2 " Totale"
													END
													STRINGA 553 3
													BEGIN
														KEY "UM"
														PROMPT 5 2 ""
														MESSAGE COPY,653
													END
													NUMERO 541 12
													BEGIN
														KEY "ACQ"
														PROMPT 6 2 ""
														PICTURE "########,@#"
														MESSAGE ADD,641
														GROUP 5
													END
													NUMERO 542 12
													BEGIN
														KEY "VALACQ"
														PROMPT 7 2 ""
														PICTURE "###.###.##@"
														MESSAGE ADD,642
														GROUP 5 FG_VALORI
													END
													NUMERO 582 12
													BEGIN
														KEY "VALACQ"
														PROMPT 7 2 ""
														PICTURE "#######,@##"
														MESSAGE _NUMEXPR,#542/#541
														GROUP FG_VALMEDI
													END
																	
													NUMERO 543 12
													BEGIN
														KEY "ven"
														PROMPT 8 2 ""
														PICTURE "########,@#"
														MESSAGE ADD,643
														GROUP 5
													END
													NUMERO 544 12
													BEGIN
														KEY "VALven"
														PROMPT 9 2 ""
														PICTURE "###.###.##@"
														MESSAGE ADD,644
														GROUP 5 FG_VALORI
													END
													NUMERO 584 12
													BEGIN
														KEY "VALven"
														PROMPT 9 2 ""
														PICTURE "#######,@##"
														MESSAGE _NUMEXPR,#544/#543
														GROUP FG_VALMEDI
													END
																	
													NUMERO 545 12
													BEGIN
														KEY "rim"
														PROMPT 10 2 ""
														PICTURE "########,@#"
														MESSAGE ADD,645
														GROUP 5
													END
													NUMERO 546 12
													BEGIN
														KEY "VALrim"
														PROMPT 11 2 ""
														PICTURE "###.###.##@"
														MESSAGE ADD,646
														GROUP 5 FG_VALORI
													END
													NUMERO 586 12
													BEGIN
														KEY "VALrim"
														PROMPT 11 2 ""
														PICTURE "#######,@##"
														MESSAGE _NUMEXPR,#546/#545
														GROUP FG_VALMEDI
													END
																	
													NUMERO 547 12
													BEGIN
														KEY "giac"
														PROMPT 12 2 ""
														PICTURE "########,@#"
														MESSAGE ADD,647
														GROUP 5
													END
												END	// tot ggiac1									
					
											END // FILE GIACENZE
											SECTION TOT_ARTICOLO 1 2 2 GROUP
												STRINGA 677 
												BEGIN
													KEY "giac"
													PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
												END
												STRINGA 650 30 2
												BEGIN
												  KEY "" 
												  PROMPT 3 2 ""
												END
												STRINGA 651 12 2
												BEGIN
												  KEY "" 
												  PROMPT 2 2 " Totale art."
												END
												STRINGA 653 3
												BEGIN
													KEY "UM"
													PROMPT 5 2 ""
													MESSAGE COPY,753
												END
												NUMERO 641 12
												BEGIN
													KEY "ACQ"
													PROMPT 6 2 ""
													PICTURE "########,@#"
													MESSAGE ADD,741
													GROUP 6 
												END
												NUMERO 642 12
												BEGIN
													KEY "VALACQ"
													PROMPT 7 2 ""
													PICTURE "###.###.##@"
													MESSAGE ADD,742
													GROUP 6 FG_VALORI FG_RIGAVALORI
												END
												NUMERO 682 12
												BEGIN
													KEY "VALACQ"
													PROMPT 7 2 ""
													PICTURE "#######,@##"
													MESSAGE _NUMEXPR,#642/#641
													GROUP FG_VALMEDI FG_RIGAVALORI
												END
												NUMERO 643 12
												BEGIN
													KEY "ven"
													PROMPT 8 2 ""
													PICTURE "########,@#"
													MESSAGE ADD,743
													GROUP 6 FG_RIGAVALORI
												END
												NUMERO 644 12
												BEGIN
													KEY "VALven"
													PROMPT 9 2 ""
													PICTURE "###.###.##@"
													MESSAGE ADD,744
													GROUP 6 FG_VALORI FG_RIGAVALORI
												END
												NUMERO 684 12
												BEGIN
													KEY "VALven"
													PROMPT 9 2 ""
													PICTURE "#######,@##"
													MESSAGE _NUMEXPR,#644/#643
													GROUP FG_VALMEDI FG_RIGAVALORI
												END
												NUMERO 645 12
												BEGIN
													KEY "rim"
													PROMPT 10 2 ""
													PICTURE "########,@#"
													MESSAGE ADD,745
													GROUP 6 FG_RIGAVALORI
												END
												NUMERO 646 12
												BEGIN
													KEY "VALrim"
													PROMPT 11 2 ""
													PICTURE "###.###.##@"
													MESSAGE ADD,746
													GROUP 6 FG_VALORI FG_RIGAVALORI
												END
												NUMERO 686 12
												BEGIN
													KEY "VALrim"
													PROMPT 11 2 ""
													PICTURE "#######,@##"
													MESSAGE _NUMEXPR,#646/#645
													GROUP FG_VALMEDI FG_RIGAVALORI
												END
																		
												NUMERO 647 12
												BEGIN
													KEY "giac"
													PROMPT 12 2 ""
													PICTURE "########,@#"
													MESSAGE ADD,747
													GROUP 6 FG_RIGAVALORI
												END
												NUMERO 648 12
												BEGIN
													KEY "ULC"
													PROMPT 7 2 ""
													PICTURE "###.###.###"
													GROUP 6 FG_RIGAPREZZI
												END
												NUMERO 649 12
												BEGIN
													KEY "PREZZO"
													PROMPT 8 2 ""
													PICTURE "###.###.###"
													GROUP 6 FG_RIGAPREZZI
												END
											END	// TOT ART
					
										END // GART8
										SECTION TOT_GART8 1 2 2 GROUP
											STRINGA 777 
											BEGIN
												KEY "giac"
												PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
											END
											STRINGA 750 34 2
											BEGIN
											  KEY "" 
											  PROMPT 3 2 ""
											END
											STRINGA 751 8 2
											BEGIN
											  KEY "" 
											  PROMPT 2 2 " Totale"
											END
											STRINGA 753 3
											BEGIN
												KEY "UM"
												PROMPT 5 2 ""
												MESSAGE COPY,853
											END
											NUMERO 741 12
											BEGIN
												KEY "ACQ"
												PROMPT 6 2 ""
												PICTURE "########,@#"
												MESSAGE _NUMEXPR,#FF_FLAGTOTQTA*#741|ADD,841
												GROUP 7 
											END
											NUMERO 742 12
											BEGIN
												KEY "VALACQ"
												PROMPT 7 2 ""
												PICTURE "###.###.##@"
												MESSAGE ADD,842
												GROUP 7 FG_VALORI 
											END
											NUMERO 782 12
											BEGIN
												KEY "VALACQ"
												PROMPT 7 2 ""
												PICTURE "#######,@##"
												MESSAGE _NUMEXPR,#742/#741
												GROUP FG_VALMEDI 
											END
																	
											NUMERO 743 12
											BEGIN
												KEY "ven"
												PROMPT 8 2 ""
												PICTURE "########,@#"
												MESSAGE _NUMEXPR,#FF_FLAGTOTQTA*#743|ADD,843
												GROUP 7 FG_RIGAVALORI
											END
											NUMERO 744 12
											BEGIN
												KEY "VALven"
												PROMPT 9 2 ""
												PICTURE "###.###.##@"
												MESSAGE ADD,844
												GROUP 7 FG_VALORI 
											END
											NUMERO 784 12
											BEGIN
												KEY "VALven"
												PROMPT 9 2 ""
												PICTURE "#######,@##"
												MESSAGE _NUMEXPR,#744/#743
												GROUP FG_VALMEDI 
											END
																	
											NUMERO 745 12
											BEGIN
												KEY "rim"
												PROMPT 10 2 ""
												PICTURE "########,@#"
												MESSAGE _NUMEXPR,#FF_FLAGTOTQTA*#745|ADD,845
												GROUP 7 
											END
											NUMERO 746 12
											BEGIN
												KEY "VALrim"
												PROMPT 11 2 ""
												PICTURE "###.###.##@"
												MESSAGE ADD,846
												GROUP 7 FG_VALORI 
											END
											NUMERO 786 12
											BEGIN
												KEY "VALrim"
												PROMPT 11 2 ""
												PICTURE "#######,@##"
												MESSAGE _NUMEXPR,#746/#745
												GROUP FG_VALMEDI 
											END
											NUMERO 747 12
											BEGIN
												KEY "giac"
												PROMPT 12 2 ""
												PICTURE "########,@#"
												MESSAGE _NUMEXPR,#FF_FLAGTOTQTA*#747|ADD,847
												GROUP 7 
											END

										END	// tot gart8
					
									END // GART7
									SECTION TOT_GART7 1 2 2 GROUP
										STRINGA 877 
										BEGIN
											KEY "giac"
											PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
										END
										STRINGA 850 34 2
										BEGIN
										  KEY "" 
										  PROMPT 3 2 ""
										END
										STRINGA 851 8 2
										BEGIN
										  KEY "" 
										  PROMPT 2 2 " Totale"
										END
										STRINGA 853 3
										BEGIN
											KEY "UM"
											PROMPT 5 2 ""
											MESSAGE COPY,953
										END
										NUMERO 841 12
										BEGIN
											KEY "ACQ"
											PROMPT 6 2 ""
											PICTURE "########,@#"
											MESSAGE ADD,941
											GROUP 8
										END
										NUMERO 842 12
										BEGIN
											KEY "VALACQ"
											PROMPT 7 2 ""
											PICTURE "###.###.##@"
											MESSAGE ADD,942
											GROUP 8 FG_VALORI
										END
										NUMERO 882 12
										BEGIN
											KEY "VALACQ"
											PROMPT 7 2 ""
											PICTURE "#######,@##"
											MESSAGE _NUMEXPR,#842/#841
											GROUP FG_VALMEDI
										END
																	
										NUMERO 843 12
										BEGIN
											KEY "ven"
											PROMPT 8 2 ""
											PICTURE "########,@#"
											MESSAGE ADD,943
											GROUP 8
										END
										NUMERO 844 12
										BEGIN
											KEY "VALven"
											PROMPT 9 2 ""
											PICTURE "###.###.##@"
											MESSAGE ADD,944
											GROUP 8 FG_VALORI
										END
										NUMERO 884 12
										BEGIN
											KEY "VALven"
											PROMPT 9 2 ""
											PICTURE "#######,@##"
											MESSAGE _NUMEXPR,#844/#843
											GROUP FG_VALMEDI
										END
																	
										NUMERO 845 12
										BEGIN
											KEY "rim"
											PROMPT 10 2 ""
											PICTURE "########,@#"
											MESSAGE ADD,945
											GROUP 8
										END
										NUMERO 846 12
										BEGIN
											KEY "VALrim"
											PROMPT 11 2 ""
											PICTURE "###.###.##@"
											MESSAGE ADD,946
											GROUP 8 FG_VALORI
										END
										NUMERO 886 12
										BEGIN
											KEY "VALrim"
											PROMPT 11 2 ""
											PICTURE "#######,@##"
											MESSAGE _NUMEXPR,#846/#845
											GROUP FG_VALMEDI
										END
																	
										NUMERO 847 12
										BEGIN
											KEY "giac"
											PROMPT 12 2 ""
											PICTURE "########,@#"
											MESSAGE ADD,947
											GROUP 8
										END
									END	// tot gart7									
					
								END // GART6
								SECTION TOT_GART6 1 2 2 GROUP
									STRINGA 977 
									BEGIN
										KEY "giac"
										PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
									END
									STRINGA 950 34 2
									BEGIN
									  KEY "" 
									  PROMPT 3 2 ""
									END
									STRINGA 951 8 2
									BEGIN
									  KEY "" 
									  PROMPT 2 2 " Totale"
									END
									STRINGA 953 3
									BEGIN
										KEY "UM"
										PROMPT 5 2 ""
										MESSAGE COPY,1053
									END
									NUMERO 941 12
									BEGIN
										KEY "ACQ"
										PROMPT 6 2 ""
										PICTURE "########,@#"
										MESSAGE ADD,1041
										GROUP 9
									END
									NUMERO 942 12
									BEGIN
										KEY "VALACQ"
										PROMPT 7 2 ""
										PICTURE "###.###.##@"
										MESSAGE ADD,1042
										GROUP 9 FG_VALORI
									END
									NUMERO 982 12
									BEGIN
										KEY "VALACQ"
										PROMPT 7 2 ""
										PICTURE "#######,@##"
										MESSAGE _NUMEXPR,#942/#941
										GROUP FG_VALMEDI
									END
																	
									NUMERO 943 12
									BEGIN
										KEY "ven"
										PROMPT 8 2 ""
										PICTURE "########,@#"
										MESSAGE ADD,1043
										GROUP 9
									END
									NUMERO 944 12
									BEGIN
										KEY "VALven"
										PROMPT 9 2 ""
										PICTURE "###.###.##@"
										MESSAGE ADD,1044
										GROUP 9 FG_VALORI
									END
									NUMERO 984 12
									BEGIN
										KEY "VALven"
										PROMPT 9 2 ""
										PICTURE "#######,@##"
										MESSAGE _NUMEXPR,#944/#943
										GROUP FG_VALMEDI
									END
																	
									NUMERO 945 12
									BEGIN
										KEY "rim"
										PROMPT 10 2 ""
										PICTURE "########,@#"
										MESSAGE ADD,1045
										GROUP 9
									END
									NUMERO 946 12
									BEGIN
										KEY "VALrim"
										PROMPT 11 2 ""
										PICTURE "###.###.##@"
										MESSAGE ADD,1046
										GROUP 9 FG_VALORI
									END
									NUMERO 986 12
									BEGIN
										KEY "VALrim"
										PROMPT 11 2 ""
										PICTURE "#######,@##"
										MESSAGE _NUMEXPR,#946/#945
										GROUP FG_VALMEDI
									END
																	
									NUMERO 947 12
									BEGIN
										KEY "giac"
										PROMPT 12 2 ""
										PICTURE "########,@#"
										MESSAGE ADD,1047
										GROUP 9
									END
								END	// tot gart6
					
							END // GART5
							SECTION TOT_GART5 1 2 2 GROUP
								STRINGA 1077 
								BEGIN
									KEY "giac"
									PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
								END
								STRINGA 1050 34 2
								BEGIN
								  KEY "" 
								  PROMPT 3 2 ""
								END
								STRINGA 1051 8 2
								BEGIN
								  KEY "" 
								  PROMPT 2 2 " Totale"
								END
								STRINGA 1053 3
								BEGIN
									KEY "UM"
									PROMPT 5 2 ""
									MESSAGE COPY,1153
								END
								NUMERO 1041 12
								BEGIN
									KEY "ACQ"
									PROMPT 6 2 ""
									PICTURE "########,@#"
									MESSAGE ADD,1141
									GROUP 10
								END
								NUMERO 1042 12
								BEGIN
									KEY "VALACQ"
									PROMPT 7 2 ""
									PICTURE "###.###.##@"
									MESSAGE ADD,1142
									GROUP 10 FG_VALORI
								END
								NUMERO 1082 12
								BEGIN
									KEY "VALACQ"
									PROMPT 7 2 ""
									PICTURE "#######,@##"
									MESSAGE _NUMEXPR,#1042/#1041
									GROUP FG_VALMEDI
								END
								NUMERO 1043 12
								BEGIN
									KEY "ven"
									PROMPT 8 2 ""
									PICTURE "########,@#"
									MESSAGE ADD,1143
									GROUP 10
								END
								NUMERO 1044 12
								BEGIN
									KEY "VALven"
									PROMPT 9 2 ""
									PICTURE "###.###.##@"
									MESSAGE ADD,1144
									GROUP 10 FG_VALORI
								END
								NUMERO 1084 12
								BEGIN
									KEY "VALven"
									PROMPT 9 2 ""
									PICTURE "#######,@##"
									MESSAGE _NUMEXPR,#1044/#1043
									GROUP FG_VALMEDI
								END
								NUMERO 1045 12
								BEGIN
									KEY "rim"
									PROMPT 10 2 ""
									PICTURE "########,@#"
									MESSAGE ADD,1145
									GROUP 10
								END
								NUMERO 1046 12
								BEGIN
									KEY "VALrim"
									PROMPT 11 2 ""
									PICTURE "###.###.##@"
									MESSAGE ADD,1146
									GROUP 10 FG_VALORI
								END
								NUMERO 1086 12
								BEGIN
									KEY "VALrim"
									PROMPT 11 2 ""
									PICTURE "#######,@##"
									MESSAGE _NUMEXPR,#1046/#1045
									GROUP FG_VALMEDI
								END
								NUMERO 1047 12
								BEGIN
									KEY "giac"
									PROMPT 12 2 ""
									PICTURE "########,@#"
									MESSAGE ADD,1147
									GROUP 10
								END
							END // tot gart5
					
						END // GART4
						SECTION TOT_GART4 1 2 2 GROUP
							STRINGA 1177 
							BEGIN
								KEY "giac"
								PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
							END
							STRINGA 1150 34 2
							BEGIN
							  KEY "" 
							  PROMPT 3 2 ""
							END
							STRINGA 1151 8 2
							BEGIN
							  KEY "" 
							  PROMPT 2 2 " Totale"
							END
							STRINGA 1153 3
							BEGIN
								KEY "UM"
								PROMPT 5 2 ""
								MESSAGE COPY,1253
							END
							NUMERO 1141 12
							BEGIN
								KEY "ACQ"
								PROMPT 6 2 ""
								PICTURE "########,@#"
								MESSAGE ADD,1241
								GROUP 11
							END
							NUMERO 1142 12
							BEGIN
								KEY "VALACQ"
								PROMPT 7 2 ""
								PICTURE "###.###.##@"
								MESSAGE ADD,1242
								GROUP 11 FG_VALORI
							END
							NUMERO 1182 12
							BEGIN
								KEY "VALACQ"
								PROMPT 7 2 ""
								PICTURE "#######,@##"
								MESSAGE _NUMEXPR,#1142/#1141
								GROUP FG_VALMEDI
							END
							NUMERO 1143 12
							BEGIN
								KEY "ven"
								PROMPT 8 2 ""
								PICTURE "########,@#"
								MESSAGE ADD,1243
								GROUP 11
							END
							NUMERO 1144 12
							BEGIN
								KEY "VALven"
								PROMPT 9 2 ""
								PICTURE "###.###.##@"
								MESSAGE ADD,1244
								GROUP 11 FG_VALORI
							END
							NUMERO 1184 12
							BEGIN
								KEY "VALven"
								PROMPT 9 2 ""
								PICTURE "#######,@##"
								MESSAGE _NUMEXPR,#1144/#1143
								GROUP FG_VALMEDI
							END
							NUMERO 1145 12
							BEGIN
								KEY "rim"
								PROMPT 10 2 ""
								PICTURE "########,@#"
								MESSAGE ADD,1245
								GROUP 11
							END
							NUMERO 1146 12
							BEGIN
								KEY "VALrim"
								PROMPT 11 2 ""
								PICTURE "###.###.##@"
								MESSAGE ADD,1246
								GROUP 11 FG_VALORI
							END
							NUMERO 1186 12
							BEGIN
								KEY "VALrim"
								PROMPT 11 2 ""
								PICTURE "#######,@##"
								MESSAGE _NUMEXPR,#1146/#1145
								GROUP FG_VALMEDI
							END
							NUMERO 1147 12
							BEGIN
								KEY "giac"
								PROMPT 12 2 ""
								PICTURE "########,@#"
								MESSAGE ADD,1247
								GROUP 11
							END
						END	// tot gart4
					
					END // GART3
					SECTION TOT_GART3 1 2 2 GROUP
						STRINGA 1277 
						BEGIN
							KEY "giac"
							PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
						END
						STRINGA 1250 34 2
						BEGIN
						  KEY "" 
						  PROMPT 3 2 ""
						END
						STRINGA 1251 8 2
						BEGIN
						  KEY "" 
						  PROMPT 2 2 " Totale"
						END
						STRINGA 1253 3
						BEGIN
							KEY "UM"
							PROMPT 5 2 ""
							MESSAGE COPY,1353
						END
						NUMERO 1241 12
						BEGIN
							KEY "ACQ"
							PROMPT 6 2 ""
							PICTURE "########,@#"
							MESSAGE ADD,1341
							GROUP 12
						END
						NUMERO 1242 12
						BEGIN
							KEY "VALACQ"
							PROMPT 7 2 ""
							PICTURE "###.###.##@"
							MESSAGE ADD,1342
							GROUP 12 FG_VALORI
						END
						NUMERO 1282 12
						BEGIN
							KEY "VALACQ"
							PROMPT 7 2 ""
							PICTURE "#######,@##"
							MESSAGE _NUMEXPR,#1242/#1241
							GROUP FG_VALMEDI
						END
						NUMERO 1243 12
						BEGIN
							KEY "ven"
							PROMPT 8 2 ""
							PICTURE "########,@#"
							MESSAGE ADD,1343
							GROUP 12
						END
						NUMERO 1244 12
						BEGIN
							KEY "VALven"
							PROMPT 9 2 ""
							PICTURE "###.###.##@"
							MESSAGE ADD,1344
							GROUP 12 FG_VALORI
						END
						NUMERO 1284 12
						BEGIN
							KEY "VALven"
							PROMPT 9 2 ""
							PICTURE "#######,@##"
							MESSAGE _NUMEXPR,#1244/#1243
							GROUP FG_VALMEDI
						END
						NUMERO 1245 12
						BEGIN
							KEY "rim"
							PROMPT 10 2 ""
							PICTURE "########,@#"
							MESSAGE ADD,1345
							GROUP 12
						END
						NUMERO 1246 12
						BEGIN
							KEY "VALrim"
							PROMPT 11 2 ""
							PICTURE "###.###.##@"
							MESSAGE ADD,1346
							GROUP 12 FG_VALORI
						END
						NUMERO 1286 12
						BEGIN
							KEY "VALrim"
							PROMPT 11 2 ""
							PICTURE "#######,@##"
							MESSAGE _NUMEXPR,#1246/#1245
							GROUP FG_VALMEDI
						END
						NUMERO 1247 12
						BEGIN
							KEY "giac"
							PROMPT 12 2 ""
							PICTURE "########,@#"
							MESSAGE ADD,1347
							GROUP 12
						END
					END	// tot gart3
					
				END // GART2
				SECTION TOT_GART2 1 2 2 GROUP
					STRINGA 1377 
					BEGIN
						KEY "giac"
						PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
					END
					STRINGA 1350 34 2
					BEGIN
					  KEY "" 
					  PROMPT 3 2 ""
					END
					STRINGA 1351 8 2
					BEGIN
					  KEY "" 
					  PROMPT 2 2 " Totale"
					END
					STRINGA 1353 3
					BEGIN
						KEY "UM"
						PROMPT 5 2 ""
						MESSAGE COPY,1453
					END
					NUMERO 1341 12
					BEGIN
						KEY "ACQ"
						PROMPT 6 2 ""
						PICTURE "########,@#"
						MESSAGE ADD,1441
						GROUP 13
					END
					NUMERO 1342 12
					BEGIN
						KEY "VALACQ"
						PROMPT 7 2 ""
						PICTURE "###.###.##@"
						MESSAGE ADD,1442
						GROUP 13 FG_VALORI
					END
					NUMERO 1382 12
					BEGIN
						KEY "VALACQ"
						PROMPT 7 2 ""
						PICTURE "#######,@##"
						MESSAGE _NUMEXPR,#1342/#1341
						GROUP FG_VALMEDI
					END
					NUMERO 1343 12
					BEGIN
						KEY "ven"
						PROMPT 8 2 ""
						PICTURE "########,@#"
						MESSAGE ADD,1443
						GROUP 13
					END
					NUMERO 1344 12
					BEGIN
						KEY "VALven"
						PROMPT 9 2 ""
						PICTURE "###.###.##@"
						MESSAGE ADD,1444
						GROUP 13 FG_VALORI
					END
					NUMERO 1384 12
					BEGIN
						KEY "VALven"
						PROMPT 9 2 ""
						PICTURE "#######,@##"
						MESSAGE _NUMEXPR,#1344/#1343
						GROUP FG_VALMEDI
					END
					NUMERO 1345 12
					BEGIN
						KEY "rim"
						PROMPT 10 2 ""
						PICTURE "########,@#"
						MESSAGE ADD,1445
						GROUP 13
					END
					NUMERO 1346 12
					BEGIN
						KEY "VALrim"
						PROMPT 11 2 ""
						PICTURE "###.###.##@"
						MESSAGE ADD,1446
						GROUP 13 FG_VALORI
					END
					NUMERO 1386 12
					BEGIN
						KEY "VALrim"
						PROMPT 11 2 ""
						PICTURE "#######,@##"
						MESSAGE _NUMEXPR,#1346/#1345
						GROUP FG_VALMEDI
					END
					NUMERO 1347 12
					BEGIN
						KEY "giac"
						PROMPT 12 2 ""
						PICTURE "########,@#"
						MESSAGE ADD,1447
						GROUP 13
					END
				END	// tot gart2
					
			END // GART1
			SECTION TOT_GART1 1 2 2 GROUP
				STRINGA 1477 
				BEGIN
					KEY "giac"
					PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
				END
				STRINGA 1450 34 2
				BEGIN
				  KEY "" 
				  PROMPT 3 2 ""
				END
				STRINGA 1451 8 2
				BEGIN
				  KEY "" 
				  PROMPT 2 2 " Totale"
				END
				STRINGA 1453 3
				BEGIN
					KEY "UM"
					PROMPT 5 2 ""
					MESSAGE COPY,53
				END
				NUMERO 1441 12
				BEGIN
					KEY "ACQ"
					PROMPT 6 2 ""
					PICTURE "########,@#"
					MESSAGE ADD,41
					GROUP 14
				END
				NUMERO 1442 12
				BEGIN
					KEY "VALACQ"
					PROMPT 7 2 ""
					PICTURE "###.###.##@"
					MESSAGE ADD,42
					GROUP 14 FG_VALORI
				END
				NUMERO 1482 12
				BEGIN
					KEY "VALACQ"
					PROMPT 7 2 ""
					PICTURE "#######,@##"
					MESSAGE _NUMEXPR,#1442/#1441
					GROUP FG_VALMEDI
				END
				NUMERO 1443 12
				BEGIN
					KEY "ven"
					PROMPT 8 2 ""
					PICTURE "########,@#"
					MESSAGE ADD,43
					GROUP 14
				END
				NUMERO 1444 12
				BEGIN
					KEY "VALven"
					PROMPT 9 2 ""
					PICTURE "###.###.##@"
					MESSAGE ADD,44
					GROUP 14 FG_VALORI
				END
				NUMERO 1484 12
				BEGIN
					KEY "VALven"
					PROMPT 9 2 ""
					PICTURE "#######,@##"
					MESSAGE _NUMEXPR,#1444/#1443
					GROUP FG_VALMEDI
				END
				NUMERO 1445 12
				BEGIN
					KEY "rim"
					PROMPT 10 2 ""
					PICTURE "########,@#"
					MESSAGE ADD,45
					GROUP 14
				END
				NUMERO 1446 12
				BEGIN
					KEY "VALrim"
					PROMPT 11 2 ""
					PICTURE "###.###.##@"
					MESSAGE ADD,46
					GROUP 14 FG_VALORI
				END
				NUMERO 1486 12
				BEGIN
					KEY "VALrim"
					PROMPT 11 2 ""
					PICTURE "#######,@##"
					MESSAGE _NUMEXPR,#1446/#1445
					GROUP FG_VALMEDI
				END
				NUMERO 1447 12
				BEGIN
					KEY "giac"
					PROMPT 12 2 ""
					PICTURE "########,@#"
					MESSAGE ADD,47
					GROUP 14
				END
			END	// tot gart1

		END // GRUPPI DEPOSITO

		SECTION TOT_DEPOSITO 1 1 1 GROUP
			SECTION SEP_DEPOSITO 1 1 NORMAL GROUP
				STRINGA 77 
				BEGIN
					KEY "giac"
					PROMPT 52 1 "----------------------------------------------------------------------------------------------------"
				END
			END
			STRINGA 51 12 
			BEGIN
				KEY "CODICE"
			  PROMPT 2 1 " Totale dep."
			END
			STRINGA 50 30 
			BEGIN
				KEY "descr"
				PROMPT 3 1 ""
			END
			STRINGA 53 3
			BEGIN
				KEY "UM"
				PROMPT 5 1 ""
				MESSAGE COPY,153
			END
			NUMERO 41 12
			BEGIN
				KEY "ACQ"
				PROMPT 6 1 ""
				PICTURE "########,@#"
				MESSAGE ADD,141
				GROUP 15
			END
			NUMERO 42 12
			BEGIN
				KEY "VALACQ"
				PROMPT 7 1 ""
				PICTURE "###.###.##@"
				MESSAGE ADD,142
				GROUP 15 FG_VALORI
			END
			NUMERO 82 12
			BEGIN
				KEY "VALACQ"
				PROMPT 7 1 ""
				PICTURE "#######,@##"
				MESSAGE _NUMEXPR,109->VALACQ/109->ACQ 
				GROUP 15 26
			END
			NUMERO 43 12
			BEGIN
				KEY "VEN"
				PROMPT 8 1 ""
				PICTURE "########,@#"
				MESSAGE ADD,143
				GROUP 15
			END
			NUMERO 44 12
			BEGIN
				KEY "VALV"
				PROMPT 9 1 ""
				PICTURE "###.###.##@"
				MESSAGE ADD,144
				GROUP 15 FG_VALORI
			END
			NUMERO 84 12
			BEGIN
				KEY "VALV"
				PROMPT 9 1 ""
				PICTURE "#######,@##"
				MESSAGE _NUMEXPR,109->VALVEN/109->VEN 
				GROUP 15 26
			END
			NUMERO 45 12
			BEGIN
				KEY "RIM"
				PROMPT 10 1 ""
				PICTURE "########,@#"
				MESSAGE ADD,145
				GROUP 15
			END
			NUMERO 46 12
			BEGIN
				KEY "VALrim"
				PROMPT 11 1 ""
				PICTURE "###.###.##@"
				MESSAGE ADD,146
				GROUP 15 FG_VALORI
			END
			NUMERO 86 12
			BEGIN
				KEY "VALrim"
				PROMPT 11 1 ""
				PICTURE "#######,@##"
				MESSAGE _NUMEXPR,109->VALRIM/109->RIM
				GROUP 15 26
			END
			NUMERO 47 12
			BEGIN
				KEY "giac"
				PROMPT 12 1 ""
				PICTURE "#######@,@#"
				MESSAGE ADD,147
				GROUP 15
			END
		END // tot depositi
	END // MAGAZZ
	
	SECTION TOT_MAGAZZINO 1 1 1 GROUP
		SECTION SEP_MAGAZZINO 1 1 1 NORMAL GROUP
			STRINGA 77 
			BEGIN
				KEY "giac"
				PROMPT 52 1 "----------------------------------------------------------------------------------------------------"
			END
		END
		STRINGA 150 30 2
		BEGIN
		  KEY "Magazzino" 
		  PROMPT 3 1 ""
		END
		STRINGA 151 12 2
		BEGIN
		  KEY "Magazzino" 
		  PROMPT 2 1 " Totale mag."
		END
		STRINGA 153 3
		BEGIN
			KEY "UM"
			PROMPT 5 1 ""
		END
		NUMERO 141 12
		BEGIN
			KEY "ACQ"
			PROMPT 6 1 ""
			PICTURE "########,@#"
			GROUP 1
		END
		NUMERO 142 12
		BEGIN
			KEY "VALACQ"
			PROMPT 7 1 ""
			PICTURE "###.###.##@"
			GROUP 1 FG_VALORI
		END
		NUMERO 182 12
		BEGIN
			KEY "VALACQ"
			PROMPT 7 1 ""
			PICTURE "#######,@##"
			MESSAGE _NUMEXPR,#142/#141
			GROUP FG_VALMEDI
		END
		NUMERO 143 12
		BEGIN
			KEY "ven"
			PROMPT 8 1 ""
			PICTURE "########,@#"
			GROUP 1
		END
		NUMERO 144 12
		BEGIN
			KEY "VALven"
			PROMPT 9 1 ""
			PICTURE "###.###.##@"
			GROUP 1 FG_VALORI
		END
		NUMERO 184 12
		BEGIN
			KEY "VALven"
			PROMPT 9 1 ""
			PICTURE "#######,@##"
			MESSAGE _NUMEXPR,#144/#143
			GROUP FG_VALMEDI
		END
		NUMERO 145 12
		BEGIN
			KEY "rim"
			PROMPT 10 1 ""
			PICTURE "########,@#"
			GROUP 1
		END
		NUMERO 146 12
		BEGIN
			KEY "VALrim"
			PROMPT 11 1 ""
			PICTURE "###.###.##@"
			GROUP 1 FG_VALORI
		END
		NUMERO 186 12
		BEGIN
			KEY "VALrim"
			PROMPT 11 1 ""
			PICTURE "#######,@##"
			MESSAGE _NUMEXPR,#146/#145
			GROUP FG_VALMEDI
		END
		NUMERO 147 12
		BEGIN
			KEY "giac"
			PROMPT 12 1 ""
			PICTURE "########,@#"
			GROUP 1
		END
	END	// tot magazz


END // section body, loop anamag

SECTION FOOTER ODD 2
	STRINGA 100
	BEGIN
		KEY "NUMP"
		PROMPT 50 1 "--------------"
	END

	NUMERO 101
	BEGIN
		KEY "NUMPAGE"
		PROMPT 50 2 ""
		MESSAGE _PAGENO
		PICTURE "-###-"
	END

END // fine footer
END// fine form

