#define LF_UMART2 349
#define LF_TAB_MAG 500
USE LF_ANAMAG KEY 1 
JOIN LF_STOMAG TO LF_ANAMAG INTO ANNOESRIF==1996 CODART==CODART
JOIN LF_UMART TO LF_ANAMAG INTO CODART==CODART
JOIN LF_UMART TO LF_STOMAG KEY 2 ALIAS LF_UMART2 INTO CODART==CODART UM==UM
JOIN MAG TO LF_STOMAG ALIAS LF_TAB_MAG INTO CODTAB==CODMAG[1,3]
END
  
DESCRIPTION
BEGIN
  47->* "Anagrafica articoli"
  109->* "Archivio Giacenze"
  MAG->* "Tabella magazzini"
  49->* "Unit di misura articoli"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 8
  CARATTERE "X"
  INIZIALE 5 2
  FINALE 133
END

SECTION HEADER ODD 4

STRINGA 1 40 1
BEGIN
  KEY "nome ditta"
  PROMPT  1 1 "Ditta "
  MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
  KEY "Data"
  PROMPT  120 1 "Data "
  MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
  KEY "Nr. pagina"
  PROMPT  137 1 "Pagina "
  MESSAGE _PAGENO
END

NUMERO 4 32
BEGIN
  KEY "Intestazione stampa"
  PROMPT  45 2 "Stampa storico rimanenze"
END

STRINGA 5 146
BEGIN
  KEY "Separatore (iniziale)"
  PROMPT 1 3 "------------------------------------------------------------------------------------------------------------------------------------------------------"
END

END


SECTION BODY ODD 1 

  SECTION H_ARTICOLO 1 3 1 GROUP 
    STRINGA 11 20
    BEGIN
      KEY "CODART"
      PROMPT 2 1 "Articolo "
      FIELD LF_ANAMAG->CODART
    END
    STRINGA 12 50
    BEGIN
      KEY "DESCR"
      PROMPT 33 1 ""
      FIELD LF_ANAMAG->DESCR
    END
  END

  SECTION GRUPPI_ARTICOLO 1 0 0 COLUMNWISE FILE LF_STOMAG

    SECTION BODY_MAG 1 1 1 COLUMNWISE FILE LF_STOMAG GROUP CODART
      SECTION HD_MAG 1 2 1 NORMAL GROUP
        STRINGA 11 20
        BEGIN
          KEY "CODART"
          PROMPT 2 1 "Magazzino "
          FIELD LF_TAB_MAG@->CODTAB
        END
        STRINGA 12 50
        BEGIN
          KEY "DESCR"
          PROMPT 33 1 ""
          FIELD LF_TAB_MAG@->S0
        END
      END // HD MAG

      SECTION HD_ANNI 1 2 1 COLUMNWISE GROUP
        NUMERO 13 15
        BEGIN
          KEY "offset"
          PROMPT 1 1 ""
        END
        NUMERO 13 6
        BEGIN
          KEY "ANNO"
          PROMPT 2 1 "Anno"
        END
        STRINGA 15 12 
        BEGIN
          KEY "QUANT"
          PROMPT 4 1 "Quantit( "
          FIELD LF_UMART->UM
        END
        NUMERO 16 12 
        BEGIN
          KEY "VALORE"
          PROMPT 5 1 ")   Valore"
        END
      END // HD ANNI
      SECTION BODY_ANNI 1 1 1 COLUMNWISE FILE LF_STOMAG GROUP CODMAG
        NUMERO 13 15
        BEGIN
          KEY "offset"
          PROMPT 1 1 ""
        END
        NUMERO 14 6
        BEGIN
          KEY "ANNO"
          PROMPT 2 1 ""
          FIELD LF_STOMAG->ANNOES
        END
        NUMERO 15 12 
        BEGIN
          KEY "QUANT"
          PROMPT 4 1 ""
          PICTURE "###.###,@@@"
          MESSAGE _NUMEXPR,LF_STOMAG->QUANT*LF_UMART2@->FC
        END
        NUMERO 16 12 
        BEGIN
          KEY "VALORE"
          PROMPT 5 1 ""
          PICTURE "###.###.###"
          MESSAGE _NUMEXPR,LF_STOMAG->VALORE*LF_UMART2@->FC
        END
    
      END // body anni
    END // body anni
  END // gruppi anni dello stesso articolo

END // section body, loop anamag

SECTION FOOTER ODD 2
  STRINGA 100
  BEGIN
    KEY "NUMP"
    PROMPT 50 1 "--------------"
  END

  NUMERO 101
  BEGIN
    KEY "NUMPAGE"
    PROMPT 50 2 ""
    MESSAGE _PAGENO
    PICTURE "-###-"
  END

END // fine footer

END // fine form
