#ifndef __ISAMRPC_H
#define __ISAMRPC_H                                  

#ifndef __REAL_H
#include <real.h>
#endif   

bool        rpc_Call(const char* cmd);
char*       rpc_Request(const char* cmd, unsigned long& size, real& time);

bool        rpc_DongleHasModule(word af);
bool        rpc_DongleModules(word* int_tab0);
word        rpc_DongleNumber();

bool        rpc_UserLogin(const char* server, const char* user, 
                          const char* password, const char* application);
bool        rpc_UserLogout();  


bool        rpc_Start();
bool        rpc_Stop();

#endif
