#include <xvt.h>
#include <strings.h>
// ******************************
// Gestione stampe di magazzino (anagrafica giacenze,storico,schede, disponibilita)
#include "mg3.h"

#define usage   "Error - usage : %s -{0|1|2|3|4}"

int main(int argc, char** argv)
{
  int rt = -1;
  const int r = (argc > 1) ? atoi(&argv[1][1]) : -1;

  switch (r)
  {
  case 0: 
    rt = mg3100(argc,argv) ; break; // stampa dati storici, giac e prezzi
  case 1: 
    rt = mg3200(argc,argv) ; break; // stampa disponibilit ....
  case 2: 
    rt = mg3300(argc,argv) ; break; // stampa schede di magazzino
  case 3: 
    rt = mg3400(argc,argv) ; break; // stampa 
  case 4: 
    rt = mg3500(argc,argv) ; break; // stampa  storico rimanenze
  default:
    error_box(usage, argv[0]) ; break;
  }

  return rt ;
}
