#include "mg3frm.h"
USE LF_ANAMAG KEY 1 
SORT LF_MAG BY ANNOES CODART LIVELLO CODMAG
	JOIN TO LF_ANAMAG INTO ANNOES==1996 CODART==CODART
JOIN MAG TO LF_MAG ALIAS 500 INTO CODTAB==CODMAG[1,3]
JOIN MAG TO LF_MAG ALIAS 501 INTO CODTAB==CODMAG
JOIN GMC TO LF_ANAMAG ALIAS 400 INTO CODTAB==GRMERC[1,3]
JOIN GMC TO LF_ANAMAG ALIAS 401 INTO CODTAB==GRMERC
JOIN LF_UMART TO LF_ANAMAG INTO CODART==CODART
END
	
DESCRIPTION
BEGIN
    47->* "Anagrafica articoli"
    109->* "Archivio Giacenze"
    MAG->* "Tabella magazzini"
    LF_UMART->* "Unit di misura articoli"
END

GENERAL
BEGIN
    OFFSET 0 0
    FONT "Courier New"
    SIZE 8
    CARATTERE "X"
    INIZIALE 5 2
    FINALE 133
END

SECTION HEADER ODD 5

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  120 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  137 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 32
BEGIN
 KEY "Intestazione stampa"
 PROMPT  55 2 "Stampa giacenze e prezzi"
END

STRINGA 5 146
BEGIN
  KEY "Separatore (iniziale)"
  PROMPT 1 3 "------------------------------------------------------------------------------------------------------------------------------------------------------"
END

	STRINGA 6 20
	BEGIN
	  KEY "H1"
		PROMPT 2 4 "Codice"
	END
	STRINGA 7 40
	BEGIN
	  KEY "H1"
		PROMPT 24 4 "Descrizione"
	END
	STRINGA 7 40
	BEGIN
	  KEY "H1"
		PROMPT 45 4 "UM"
	END
	STRINGA 8 12
	BEGIN
	  KEY "H1"
		PROMPT 55 4 "Giac."
	END
	STRINGA 9 12
	BEGIN
	  KEY "H1"
		PROMPT 67 4 "Ult.cos."
	END
	STRINGA 10 12
	BEGIN
	  KEY "H1"
		PROMPT 79 4 "Prezzo"
	END

	STRINGA 17 146
	BEGIN
	  KEY "Separatore (iniziale)"
	  PROMPT 1 5 "------------------------------------------------------------------------------------------------------------------------------------------------------"
	END

END

SECTION BODY ODD 0 COLUMNWISE

	NUMBER FF_FLAGTOTQTA 1
	BEGIN
		FLAG "H"
		PROMPT 1 1 ""
	END 

	SECTION H_CATMER 1 1 2 GROUP 
		STRINGA 11 12 2
		BEGIN
			KEY "CATMER"
			PROMPT 2 1 ""
			MESSAGE _USER,CODCATMER
		END
		STRINGA 12 30 2
		BEGIN
			KEY "CODICE CATMER"
			PROMPT 3 1 ""
			MESSAGE _USER,CATMER|COPY,1550
		END
	END

	STRINGA 60 40 1
	BEGIN
		FLAGS "H"
	  KEY "CATMER" 
	  PROMPT 2 1 ""
		MESSAGE RESET,15@
	END

	SECTION GRUPPI_CATMER 1 0 1 FILE 47 GROUP GRMERC

		STRINGA 60 40 1
		BEGIN
			FLAGS "H"
		  KEY "CATMER" 
		  PROMPT 2 1 ""
			MESSAGE RESET,14@
		END
		SECTION H_GCODART1 1 1 1 GROUP 
			STRINGA 16 12 2 
			BEGIN
				KEY "CODICE GRUPPO"
				PROMPT 2 1 ""
				MESSAGE _USER,CODGRUPPOART,1
			END
			STRINGA 17 30 2 
			BEGIN
			 KEY "CODICE GRUPPO"
			 PROMPT 3 1 ""
			 MESSAGE _USER,GRUPPOART,1|COPY,1450
			END
		END

		SECTION GRUPPI_CODART1 1 0 0 FILE LF_ANAMAG GROUP CODART
			STRINGA 60 40 1
			BEGIN
				FLAGS "H"
			  KEY "CATMER" 
			  PROMPT 2 1 ""
				MESSAGE RESET,13@
			END
			SECTION H_GCODART2 1 1 1 GROUP 
				STRINGA 16 12 2 
				BEGIN
					KEY "CODICE GRUPPO"
					PROMPT 2 1 ""
					MESSAGE _USER,CODGRUPPOART,2
				END
				STRINGA 17 30 2 
				BEGIN
				 KEY "CODICE GRUPPO"
				 PROMPT 3 1 ""
				 MESSAGE _USER,GRUPPOART,2|COPY,1350
				END
			END

			SECTION GRUPPI_CODART2 1 0 0 FILE LF_ANAMAG GROUP CODART
				STRINGA 60 40 1
				BEGIN
					FLAGS "H"
				  KEY "CATMER" 
				  PROMPT 2 1 ""
					MESSAGE RESET,12@
				END
				SECTION H_GCODART3 1 1 1 GROUP 
					STRINGA 16 12 2 
					BEGIN
						KEY "CODICE GRUPPO"
						PROMPT 2 1 ""
						MESSAGE _USER,CODGRUPPOART,3
					END
					STRINGA 17 30 2 
					BEGIN
					 KEY "CODICE GRUPPO"
					 PROMPT 3 1 ""
					 MESSAGE _USER,GRUPPOART,3|COPY,1250
					END
				END

				SECTION GRUPPI_CODART3 1 0 0 FILE LF_ANAMAG GROUP CODART
					STRINGA 60 40 1
					BEGIN
						FLAGS "H"
					  KEY "CATMER" 
					  PROMPT 2 1 ""
						MESSAGE RESET,11@
					END					
					SECTION H_GCODART4 1 1 1 GROUP 
						STRINGA 16 12 2 
						BEGIN
							KEY "CODICE GRUPPO"
							PROMPT 2 1 ""
							MESSAGE _USER,CODGRUPPOART,4
						END
						STRINGA 17 30 2 
						BEGIN
						 KEY "CODICE GRUPPO"
						 PROMPT 3 1 ""
						 MESSAGE _USER,GRUPPOART,4|COPY,1150
						END
					END

					SECTION GRUPPI_CODART4 1 0 0 FILE LF_ANAMAG GROUP CODART
						STRINGA 60 40 1
						BEGIN
							FLAGS "H"
						  KEY "CATMER" 
						  PROMPT 2 1 ""
							MESSAGE RESET,10@
						END
						SECTION H_GCODART5 1 1 1 GROUP 
							STRINGA 16 12 2 
							BEGIN
								KEY "CODICE GRUPPO"
								PROMPT 2 1 ""
								MESSAGE _USER,CODGRUPPOART,5
							END
							STRINGA 17 30 2 
							BEGIN
							 KEY "CODICE GRUPPO"
							 PROMPT 3 1 ""
							 MESSAGE _USER,GRUPPOART,5|COPY,1050
							END
						END

						SECTION GRUPPI_CODART5 1 0 0 FILE LF_ANAMAG GROUP CODART
							STRINGA 60 40 1
							BEGIN
								FLAGS "H"
							  KEY "CATMER" 
							  PROMPT 2 1 ""
								MESSAGE RESET,9@
							END							
							SECTION H_GCODART6 1 1 2 GROUP 
								STRINGA 16 12 2 
								BEGIN
									KEY "CODICE GRUPPO"
									PROMPT 2 1 ""
									MESSAGE _USER,CODGRUPPOART,6
								END
								STRINGA 17 30 2 
								BEGIN
								 KEY "CODICE GRUPPO"
								 PROMPT 3 1 ""
								 MESSAGE _USER,GRUPPOART,6|COPY,950
								END
							END

							SECTION GRUPPI_CODART6 1 0 0 FILE LF_ANAMAG GROUP CODART
								STRINGA 60 40 1
								BEGIN
									FLAGS "H"
								  KEY "CATMER" 
								  PROMPT 2 1 ""
									MESSAGE RESET,8@
								END							
								SECTION H_GCODART7 1 1 1 GROUP 
									STRINGA 16 12 2 
									BEGIN
										KEY "CODICE GRUPPO"
										PROMPT 2 1 ""
										MESSAGE _USER,CODGRUPPOART,7
									END
									STRINGA 17 30 2 
									BEGIN
									 KEY "CODICE GRUPPO"
									 PROMPT 3 1 ""
									 MESSAGE _USER,GRUPPOART,7|COPY,850
									END
								END

								SECTION GRUPPI_CODART7 1 0 0 FILE LF_ANAMAG GROUP CODART
									STRINGA 60 40 1
									BEGIN
										FLAGS "H"
									  KEY "CATMER" 
									  PROMPT 2 1 ""
										MESSAGE RESET,7@
									END							

									SECTION H_GCODART8 1 1 1 GROUP 
										STRINGA 16 12 2 
										BEGIN
											KEY "CODICE GRUPPO"
											PROMPT 2 1 ""
											MESSAGE _USER,CODGRUPPOART,8
										END
										STRINGA 17 30 2 
										BEGIN
										 KEY "CODICE GRUPPO"
										 PROMPT 3 1 ""
										 MESSAGE _USER,GRUPPOART,8|COPY,750
										END
									END

									SECTION GRUPPI_CODART8 1 0 0 FILE LF_ANAMAG GROUP CODART
										STRINGA 60 40 1
										BEGIN
											FLAGS "H"
										  KEY "CATMER" 
										  PROMPT 2 1 ""
											MESSAGE RESET,6@
										END							
										SECTION H_ARTICOLO 1 1 1 GROUP
											STRINGA 2020 12 2
											BEGIN
												KEY "CODICE articolo"
												PROMPT 2 1 ""
												FIELD CODART
											END
											STRINGA 21 30 2
											BEGIN
												KEY "DESCR.articolo"
												PROMPT 3 1 ""
												FIELD LF_ANAMAG->DESCR
												MESSAGE COPY,650
											END
										END										

										SECTION FILE_GIACENZE 1 1 0 FILE LF_MAG 
											STRINGA 60 40 1
											BEGIN
												FLAGS "H"
											  KEY "CATMER" 
											  PROMPT 2 1 ""
												MESSAGE RESET,5@
											END							
											SECTION H_GLIVGIAC1 1 1 1 GROUP
												STRINGA 31 50 1
												BEGIN
												  KEY "Livello giac" 
												  PROMPT 2 1 ""
													MESSAGE _USER,GRUPPOGIAC,1|COPY,550
												END
											END										

											SECTION GRUPPI_LIVGIAC1 1 0 0 FILE LF_MAG GROUP LIVELLO
												STRINGA 60 40 1
												BEGIN
													FLAGS "H"
												  KEY "CATMER" 
												  PROMPT 2 1 ""
													MESSAGE RESET,4@
												END							
												SECTION H_GLIVGIAC2 1 1 1 GROUP
													STRINGA 31 50 1
													BEGIN
													  KEY "Livello giac" 
													  PROMPT 2 1 ""
														MESSAGE _USER,GRUPPOGIAC,2|COPY,450
													END
												END										

												SECTION GRUPPI_LIVGIAC2 1 0 0 FILE LF_MAG GROUP LIVELLO
													STRINGA 60 40 1
													BEGIN
														FLAGS "H"
													  KEY "CATMER" 
													  PROMPT 2 1 ""
														MESSAGE RESET,3@
													END							

													SECTION H_GLIVGIAC3 1 1 1 GROUP
														STRINGA 31 50 1
														BEGIN
														  KEY "Livello giac" 
														  PROMPT 2 1 ""
															MESSAGE _USER,GRUPPOGIAC,3|COPY,350
														END
													END										

													SECTION GRUPPI_LIVGIAC3 1 0 0 FILE LF_MAG GROUP LIVELLO
														STRINGA 60 40 1
														BEGIN
															FLAGS "H"
														  KEY "CATMER" 
														  PROMPT 2 1 ""
															MESSAGE RESET,2@
														END							

														SECTION H_GLIVGIAC4 1 1 1 GROUP
															STRINGA 31 50 1
															BEGIN
															  KEY "Livello giac" 
															  PROMPT 2 1 ""
																MESSAGE _USER,GRUPPOGIAC,4|COPY,250
															END
														END										

														SECTION GRUPPI_LIVGIAC4 1 0 0 FILE LF_MAG GROUP LIVELLO
															STRINGA 60 40 1
															BEGIN
																FLAGS "H"
															  KEY "MAGAZZ" 
															  PROMPT 2 1 ""
																MESSAGE RESET,1@
															END							
															SECTION H_MAGAZZINO 1 1 1 GROUP
																STRINGA 60 40 1
																BEGIN
																  KEY "codice magazzino" 
																  PROMPT 2 1 "Magazzino "
																  FIELD 500@->s0
																	MESSAGE COPY,150
																END
															END 

															SECTION GRUPPI_MAGAZZINO 1 0 0 FILE LF_MAG GROUP CODMAG[1,3]
																SECTION H_DEPOSITO 1 0 0 GROUP
																END
																SECTION TOT_DEPOSITO 1 1 1 GROUP
																	STRINGA 51 12 
																	BEGIN
																		KEY "CODICE"
																		PROMPT 2 1 "    Deposito"
																	END
																	STRINGA 52 30 
																	BEGIN
																		KEY "descr"
																		PROMPT 3 1 ""
																		FIELD 501@->s0
																	END
																	STRINGA 53 3
																	BEGIN
																		KEY "UM"
																		PROMPT 5 1 ""
																		FIELD LF_UMART->UM
																	END
																	NUMERO 41 11
																	BEGIN
																		KEY "GIAC"
																		PROMPT 6 1 ""
																		FIELD LF_MAG->giac
																		PICTURE "########,@#"
																		MESSAGE ADD,141
																	END
																END // depositi dello stesso magazzino
															END // MAGAZZ

															SECTION TOT_MAGAZZINO 1 1 1 GROUP
																STRINGA 150 30 1
																BEGIN
																  KEY "Magazzino" 
																  PROMPT 3 1 ""
																END
																STRINGA 151 12 1
																BEGIN
																  KEY "Magazzino" 
																  PROMPT 2 1 " Totale mag."
																END
																STRINGA 153 3
																BEGIN
																	KEY "UM"
																	PROMPT 5 1 ""
																	FIELD LF_UMART->UM
																END
																NUMERO 141 11
																BEGIN
																	KEY "GIAC"
																	PROMPT 6 1 ""
																	PICTURE "########,@#"
																	MESSAGE ADD,241
																	GROUP 1
																END
															END	// tot magazz
	
														END // GGIAC4
														SECTION TOT_GLIVGIAC4 1 2 2 GROUP
															STRINGA 277 
															BEGIN
																	PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
															END
															STRINGA 250 35 2
															BEGIN
																PROMPT 3 2 ""
															END
															STRINGA 251 7 2
															BEGIN
															  KEY "Livello giac4" 
															  PROMPT 2 2 " Totale"
															END
															STRINGA 253 3
															BEGIN
																KEY "UM"
																PROMPT 5 2 ""
																FIELD LF_UMART->UM
															END
															NUMERO 241 11
															BEGIN
																KEY "GIAC"
																PROMPT 6 2 ""
																PICTURE "########,@#"
																MESSAGE ADD,341
																GROUP 2
															END
														END	// tot ggiac4
	
													END // GGIAC3
													SECTION TOT_GLIVGIAC3 1 2 2 GROUP
														STRINGA 377 
														BEGIN
															KEY "PRODC"
															PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
														END
														STRINGA 350 35 2
														BEGIN
														  KEY "" 
														  PROMPT 3 2 ""
														END
														STRINGA 351 7 2
														BEGIN
														  KEY "" 
														  PROMPT 2 2 " Totale"
														END
														STRINGA 353 3
														BEGIN
															KEY "UM"
															PROMPT 5 2 ""
															FIELD LF_UMART->UM
														END
														NUMERO 341 11
														BEGIN
															KEY "GIAC"
															PROMPT 6 2 ""
															PICTURE "########,@#"
															MESSAGE ADD,441
															GROUP 3
														END
													END // tot ggiac3
	
												END // GGIAC2
												SECTION TOT_GLIVGIAC2 1 2 2 GROUP
													STRINGA 477 
													BEGIN
														KEY "PRODC"
																PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
													END
													STRINGA 450 35 2
													BEGIN
													  KEY "" 
													  PROMPT 3 2 ""
													END
													STRINGA 451 7 2
													BEGIN
													  KEY "" 
													  PROMPT 2 2 " Totale"
													END
													STRINGA 453 3
													BEGIN
														KEY "UM"
														PROMPT 5 2 ""
														FIELD LF_UMART->UM
													END
													NUMERO 441 11
													BEGIN
														KEY "GIAC"
														PROMPT 6 2 ""
														PICTURE "########,@#"
														MESSAGE ADD,541
														GROUP 4
													END
												END // tot ggiac2
											END // GGIAC1
											SECTION TOT_GLIVGIAC1 1 2 2 GROUP
												STRINGA 577 
												BEGIN
													KEY "PRODC"
													PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
												END
												STRINGA 550 35 2
												BEGIN
												  KEY "" 
												  PROMPT 3 2 ""
												END
												STRINGA 551 7 2
												BEGIN
												  KEY "" 
												  PROMPT 2 2 " Totale"
												END
												STRINGA 553 3
												BEGIN
													KEY "UM"
													PROMPT 5 2 ""
													FIELD LF_UMART->UM
												END
												NUMERO 541 11
												BEGIN
													KEY "GIAC"
													PROMPT 6 2 ""
													PICTURE "########,@#"
													MESSAGE ADD,641
													GROUP 5
												END
											END	// tot ggiac1									

										END // FILE GIACENZE
										SECTION TOT_ARTICOLO 1 2 2 GROUP
											STRINGA 677 
											BEGIN
												KEY "PRODC"
												PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
											END
											STRINGA 650 30 2
											BEGIN
											  KEY "" 
											  PROMPT 3 2 ""
											END
											STRINGA 651 12 2
											BEGIN
											  KEY "" 
											  PROMPT 2 2 " Totale art."
											END
											STRINGA 653 3
											BEGIN
												KEY "UM"
												PROMPT 5 2 ""
												FIELD LF_UMART->UM
												MESSAGE COPY,753
											END
											NUMERO 641 11
											BEGIN
												KEY "GIAC"
												PROMPT 6 2 ""
												PICTURE "########,@#"
												MESSAGE ADD,741
												GROUP 6
											END
											NUMERO 642 11
											BEGIN
												KEY "ULC"
												PROMPT 7 2 ""
												PICTURE "##.###.###"
												FIELD LF_ANAMAG->ULTCOS1
//											MESSAGE ADD,742
												GROUP 6 
											END
											NUMERO 643 11
											BEGIN
												KEY "PRZ"
												PROMPT 8 2 ""
												PICTURE "##.###.###"
												MESSAGE _USER,PREZZO
//												|ADD,743
												GROUP 6
											END
										END	// TOT ART

									END // GART8
									SECTION TOT_GART8 1 2 2 GROUP
										STRINGA 777 
										BEGIN
											KEY "PRODC"
											PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
										END
										STRINGA 750 34 2
										BEGIN
										  KEY "" 
										  PROMPT 3 2 ""
										END
										STRINGA 751 8 2
										BEGIN
										  KEY "" 
										  PROMPT 2 2 " Totale"
										END
										STRINGA 753 3
										BEGIN
											KEY "UM"
											PROMPT 5 2 ""
											MESSAGE COPY,853
										END
										NUMERO 741 11
										BEGIN
											KEY "GIAC"
											PROMPT 6 2 ""
											PICTURE "########,@#"
											MESSAGE _NUMEXPR,#FF_FLAGTOTQTA*#741|ADD,841
											GROUP 7
										END
										NUMERO 742 11
										BEGIN
											KEY "ULC"
											PROMPT 7 2 ""
											PICTURE "##.###.###"
											MESSAGE ADD,842
											GROUP 7 
										END
										NUMERO 743 11
										BEGIN
											KEY "PREZZO"
											PROMPT 8 2 ""
											PICTURE "##.###.###"
											MESSAGE ADD,843
											GROUP 7
										END
									END	// tot gart8

								END // GART7
								SECTION TOT_GART7 1 2 2 GROUP
									STRINGA 877 
									BEGIN
										KEY "PRODC"
										PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
									END
									STRINGA 850 34 2
									BEGIN
									  KEY "" 
									  PROMPT 3 2 ""
									END
									STRINGA 851 8 2
									BEGIN
									  KEY "" 
									  PROMPT 2 2 " Totale"
									END
									STRINGA 853 3
									BEGIN
										KEY "UM"
										PROMPT 5 2 ""
										MESSAGE COPY,953
									END
									NUMERO 841 11
									BEGIN
										KEY "GIAC"
										PROMPT 6 2 ""
										PICTURE "########,@#"
										MESSAGE ADD,941
										GROUP 8
									END
									NUMERO 842 11
									BEGIN
										KEY "ULC"
										PROMPT 7 2 ""
										PICTURE "##.###.###"
										MESSAGE ADD,942
										GROUP 8 
									END
									NUMERO 843 11
									BEGIN
										KEY "PREZZO"
										PROMPT 8 2 ""
										PICTURE "##.###.###"
										MESSAGE ADD,943
										GROUP 8
									END
								END	// tot gart7									

							END // GART6
							SECTION TOT_GART6 1 2 2 GROUP
								STRINGA 977 
								BEGIN
									KEY "PRODC"
									PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
								END
								STRINGA 950 34 2
								BEGIN
								  KEY "" 
								  PROMPT 3 2 ""
								END
								STRINGA 951 8 2
								BEGIN
								  KEY "" 
								  PROMPT 2 2 " Totale"
								END
								STRINGA 953 3
								BEGIN
									KEY "UM"
									PROMPT 5 2 ""
									MESSAGE COPY,1053
								END
								NUMERO 941 11
								BEGIN
									KEY "GIAC"
									PROMPT 6 2 ""
									PICTURE "########,@#"
									MESSAGE ADD,1041
									GROUP 9
								END
								NUMERO 942 11
								BEGIN
									KEY "ULC"
									PROMPT 7 2 ""
									PICTURE "##.###.###"
									MESSAGE ADD,1042
									GROUP 9 
								END
								NUMERO 943 11
								BEGIN
									KEY "PREZZO"
									PROMPT 8 2 ""
									PICTURE "##.###.###"
									MESSAGE ADD,1043
									GROUP 9
								END
							END	// tot gart6

						END // GART5
						SECTION TOT_GART5 1 2 2 GROUP
							STRINGA 1077 
							BEGIN
								KEY "PRODC"
								PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
							END
							STRINGA 1050 34 2
							BEGIN
							  KEY "" 
							  PROMPT 3 2 ""
							END
							STRINGA 1051 8 2
							BEGIN
							  KEY "" 
							  PROMPT 2 2 " Totale"
							END
							STRINGA 1053 3
							BEGIN
								KEY "UM"
								PROMPT 5 2 ""
								MESSAGE COPY,1153
							END
							NUMERO 1041 11
							BEGIN
								KEY "GIAC"
								PROMPT 6 2 ""
								PICTURE "########,@#"
								MESSAGE ADD,1141
								GROUP 10
							END
							NUMERO 1042 11
							BEGIN
								KEY "ULC"
								PROMPT 7 2 ""
								PICTURE "##.###.###"
								MESSAGE ADD,1142
								GROUP 10 
							END
							NUMERO 1043 11
							BEGIN
								KEY "PREZZO"
								PROMPT 8 2 ""
								PICTURE "##.###.###"
								MESSAGE ADD,1143
								GROUP 10
							END
						END // tot gart5

					END // GART4
					SECTION TOT_GART4 1 2 2 GROUP
						STRINGA 1177 
						BEGIN
							KEY "PRODC"
							PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
						END
						STRINGA 1150 34 2
						BEGIN
						  KEY "" 
						  PROMPT 3 2 ""
						END
						STRINGA 1151 8 2
						BEGIN
						  KEY "" 
						  PROMPT 2 2 " Totale"
						END
						STRINGA 1153 3
						BEGIN
							KEY "UM"
							PROMPT 5 2 ""
							MESSAGE COPY,1253
						END
						NUMERO 1141 11
						BEGIN
							KEY "GIAC"
							PROMPT 6 2 ""
							PICTURE "########,@#"
							MESSAGE ADD,1241
							GROUP 11
						END
						NUMERO 1142 11
						BEGIN
							KEY "ULC"
							PROMPT 7 2 ""
							PICTURE "##.###.###"
							MESSAGE ADD,1242
							GROUP 11 
						END
						NUMERO 1143 11
						BEGIN
							KEY "PREZZO"
							PROMPT 8 2 ""
							PICTURE "##.###.###"
							MESSAGE ADD,1243
							GROUP 11
						END
					END	// tot gart4

				END // GART3
				SECTION TOT_GART3 1 2 2 GROUP
					STRINGA 1277 
					BEGIN
						KEY "PRODC"
						PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
					END
					STRINGA 1250 34 2
					BEGIN
					  KEY "" 
					  PROMPT 3 2 ""
					END
					STRINGA 1251 8 2
					BEGIN
					  KEY "" 
					  PROMPT 2 2 " Totale"
					END
					STRINGA 1253 3
					BEGIN
						KEY "UM"
						PROMPT 5 2 ""
						MESSAGE COPY,1353
					END
					NUMERO 1241 11
					BEGIN
						KEY "GIAC"
						PROMPT 6 2 ""
						PICTURE "########,@#"
						MESSAGE ADD,1341
						GROUP 12
					END
					NUMERO 1242 11
					BEGIN
						KEY "ULC"
						PROMPT 7 2 ""
						PICTURE "##.###.###"
						MESSAGE ADD,1342
						GROUP 12 
					END
					NUMERO 1243 11
					BEGIN
						KEY "PREZZO"
						PROMPT 8 2 ""
						PICTURE "##.###.###"
						MESSAGE ADD,1343
						GROUP 12
					END
				END	// tot gart3

			END // GART2
			SECTION TOT_GART2 1 2 2 GROUP
				STRINGA 1377 
				BEGIN
					KEY "PRODC"
					PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
				END
				STRINGA 1350 34 2
				BEGIN
				  KEY "" 
				  PROMPT 3 2 ""
				END
				STRINGA 1351 8 2
				BEGIN
				  KEY "" 
				  PROMPT 2 2 " Totale"
				END
				STRINGA 1353 3
				BEGIN
					KEY "UM"
					PROMPT 5 2 ""
					MESSAGE COPY,1453
				END
				NUMERO 1341 11
				BEGIN
					KEY "GIAC"
					PROMPT 6 2 ""
					PICTURE "########,@#"
					MESSAGE ADD,1441
					GROUP 13
				END
				NUMERO 1342 11
				BEGIN
					KEY "ULC"
					PROMPT 7 2 ""
					PICTURE "##.###.###"
					MESSAGE ADD,1442
					GROUP 13 
				END
				NUMERO 1343 11
				BEGIN
					KEY "PREZZO"
					PROMPT 8 2 ""
					PICTURE "##.###.###"
					MESSAGE ADD,1443
					GROUP 13
				END
			END	// tot gart2

		END // GART1
		SECTION TOT_GART1 1 2 2 GROUP
			STRINGA 1477 
			BEGIN
				KEY "PRODC"
				PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
			END
			STRINGA 1450 34 2
			BEGIN
			  KEY "" 
			  PROMPT 3 2 ""
			END
			STRINGA 1451 8 2
			BEGIN
			  KEY "" 
			  PROMPT 2 2 " Totale"
			END
			STRINGA 1453 3
			BEGIN
				KEY "UM"
				PROMPT 5 2 ""
				MESSAGE COPY,1553
			END
			NUMERO 1441 11
			BEGIN
				KEY "GIAC"
				PROMPT 6 2 ""
				PICTURE "########,@#"
				MESSAGE ADD,1541
				GROUP 14 
			END
			NUMERO 1442 11
			BEGIN
				KEY "ULC"
				PROMPT 7 2 ""
				PICTURE "##.###.###"
				MESSAGE ADD,1542
				GROUP 14 
			END
			NUMERO 1443 11
			BEGIN
				KEY "PREZZO"
				PROMPT 8 2 ""
				PICTURE "##.###.###"
				MESSAGE ADD,1543
				GROUP 14
			END
		END	// tot gart1

	END // GRUPPI_CATMER 
	SECTION TOT_CATMER 1 2 2 GROUP
		STRINGA 1577 
		BEGIN
			KEY "PRODC"
			PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
		END
		STRINGA 1550 34 2
		BEGIN
		  KEY "" 
		  PROMPT 3 2 ""
		END
		STRINGA 1551 8 2
		BEGIN
		  KEY "" 
		  PROMPT 2 2 " Totale"
		END
		STRINGA 1553 3
		BEGIN
			KEY "UM"
			PROMPT 5 2 ""
		END
		NUMERO 1541 11
		BEGIN
			KEY "GIAC"
			PROMPT 6 2 ""
			PICTURE "########,@#"
			GROUP 15
		END
		NUMERO 1542 11
		BEGIN
			KEY "ULC"
			PROMPT 7 2 ""
			PICTURE "##.###.###"
			GROUP 15 
		END
		NUMERO 1543 11
		BEGIN
			KEY "PREZZO"
			PROMPT 8 2 ""
			PICTURE "##.###.###"
			GROUP 15
		END
	END	// tot catmerc

END // section body, loop anamag

SECTION FOOTER ODD 2
	STRINGA 100
	BEGIN
		KEY "NUMP"
		PROMPT 50 1 "--------------"
	END

	NUMERO 101
	BEGIN
		KEY "NUMPAGE"
		PROMPT 50 2 ""
		MESSAGE _PAGENO
		PICTURE "-###-"
	END

END // fine footer

END // fine form
